Полый цилиндр в AutoCAD

Здравствуйте. Сегодня мы создадим 3D-тело – полый цилиндр, на примере стенового кольца колодца КС15.9.
В первую очередь необходимо перейти в рабочее пространство для 3D-моделирования.

На видовом кубе выставляем вид “Верх”.

Далее чертим две окружности, соответствующие внешнему и внутреннему диаметру кольца (1680 и 1500). Чертить лучше в масштабе 1:1 в единицах чертежа (как правило – это миллиметры).
Выделяем окружности и выставляем на “видовом кубе” вид “Спереди” и нажимаем кнопку “Выдавить”. Далее вводим необходимую величину (890).

Мы получили 3D-тело. Чтобы его осмотреть зажмите Ctrl + колёсико мыши и подвигайте мышью. Теперь нужно отрегулировать вид так, чтобы была видна внутренняя окружность.
Далее нажимаем кнопку “Тело, Вычитание”.

Выбираем 3D-тело за внешний край, нажимаем Enter, далее выбираем внутреннюю окружность и нажимаем Enter.

Как сделать чертёж AutoCAD плоским (Z=0)

Иногда во время работы происходят ситуации, что отрезки и полилинии не соединяются, замкнутые контуры не штрихуются, длины линейных объектов странно завышены. Такое происходит если объекты не компланарны, то есть разнесены по разным высотам.
Есть несколько способов перенести все объекты в горизонтальную плоскость.
1. Если объекты идентичны (все они отрезки или полилинии), нужно все их выбрать (Ctrl + A) и в свойствах выставить для “Начало Z” и “Конец Z” или “Уровень” значение 0.


2. При помощи Express Tools. Необходимо выделить все объекты. В ленте выбрать вкладку “Express Tools”. Раскрыть выпадающее меню “Modify”. Запустить команду “Flatten objects”. Появиться сообщение “Remove hidden lines?”. Вводим “N”. После завершения работы команды выделенные объекты будут расположены в горизонтальной плоскости.
3. С помощью специальной программы, написанной на языке AutoLISP. Программ таких множество, мы рассмотрим самую распространённую из них.
Порядок действий следующий:
Скачать программу.
Загрузить программу в AutoCAD.
– Ввести в командную строку “SF” и следовать инструкциям.

Послесловие:
В большинстве случаев хотя бы один из этих методов приведёт к желаемому результату. Но, к сожалению, остаётся небольшой процент случаев, требующих иных решений. Если у Вас именно такой случай – пишите в комментариях. Будем разбираться вместе.

Добавление файлов Lisp в AutoCAD

Lisp-файлы представляют собой программы, написанные на языке AutoLISP и могут запускаться в AutoCAD. Расширение программ .lsp.

Загрузка программы.

Ввести в командной строке “appload”. Откроется окно “Загрузка/выгрузка приложений”. Далее порядок действий следующий:
1. Выбрать в окне навигации папку, в которой лежит файл.
2. Выбрать искомый файл.
3. Нажать кнопку “Загрузить”.
4. Нажать кнопку “Закрыть”.

Автозагрузка программы.

Если программа требуется постоянно, логично добавить её в автозагрузку AutoCAD. Для этого:
1. Ввести в командной строке “appload”. Откроется окно “Загрузка/выгрузка приложений”.
2. Нажать кнопку “Приложения”. Откроется окно “Автозагрузка”.

3. Нажать кнопку “Добавить…”.

Далее необходимо выбрать искомый файл. После добавления всех фалов нажать “Закрыть”.
Теперь программы будут автоматически подгружаться в каждой сессии.
При первой загрузке будет показано окно выбора загрузки. Следует выбрать вариант “Загружать автоматически” для быстрой автозагрузки без дополнительных окон выбора.
Послесловие.
Иногда бывает что у Вас оказывается программа, механизм работы которой Вам известен, но как запустить её Вы не знаете.
Команда запуска прописаны в теле кода программы. Откройте файл с расширение .lsp любым текстовым редактором и найдите строку (defun c:<имя_команды>.
Именно это имя и нужно вводить в командную строку AutoCAD после загрузки программы для её запуска.

Создание блоков AutoCAD

Здравствуйте. Сегодня поговорим о блоках AutoCAD и как их использовать для автоматизации создания чертежей.
Блок – совокупность любых элементов и их зависимостей. Так же блоки могут содержать в себе другие блоки.
Рассмотри принцип создания блока на конкретном примере.
Создадим блок ж/б кольца в разрезе.
koltso
Чертить следует в масштабе 1:1, чтобы в последствии не было путаницы с масштабированием.
После того, как все необходимые элементы показаны, нажмём на кнопку “Создать” (Команда: БЛОК).
sozdanie-blokov
Откроется окно “Определение блока”, в нём нужно выполнить следующие действия.
1. Ввести имя блока.
2. Поставить галочку напротив параметра “указать на экране” базовую точку, либо ввести координаты базовой точки.
3. Поставить галочку напротив параметра “указать на экране” объекты. Убедиться что включен параметр “Преобразовать в блок”.
4. В блоке параметров “Поведение” рекомендую включить (поставить галочку) только параметр “Разрешить расчленение”, так как вопросы аннотативности и масштабирования решаются для каждого чертежа индивидуально.
5. Единицы блока стоит настраивать в соответствии с единицами конкретного чертежа (или не трогать).
6. При необходимости можно добавить ссылку с описанием блока, нажав кнопку “Гиперссылка…”.
7. Настоятельно рекомендуется дать “Описание” блока, на случай если с ним будет работать кто-то кроме Вас.
8. Нажать “ОК”.
opredelenie-bloka
Появиться окно “Блок – объекты не выбраны” (Это окно появиться, если Вы предварительно не выбрали элементы, которые должны войти в блок, перед нажатием кнопки “Создать”). Нужно нажать на кнопку “Выбрать объекты” и выделить нужные объекты. Далее нажать Enter.
Снова откроется окно “Определение блока”. После нажатия клавиши “Ок”, программа попросит указать базовую точку на экране. После этого действия блок будет создан.